From 5544f094fe35efd425cdeb262667c4534f0cd422 Mon Sep 17 00:00:00 2001
From: walter <walter>
Date: Sat, 6 Oct 2007 13:29:34 +0000
Subject: [PATCH] b=13726 i=adilger

---
 lustre/tests/sanity.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lustre/tests/sanity.sh b/lustre/tests/sanity.sh
index 328be96f64..d65271a33a 100644
--- a/lustre/tests/sanity.sh
+++ b/lustre/tests/sanity.sh
@@ -4449,7 +4449,7 @@ test_121() { #bug 10589
 	cancel_lru_locks osc > /dev/null
 	reads=`dd if=$DIR/$tfile of=/dev/null 2>&1 | awk 'BEGIN { FS="+" } /in/ {print $1}'`
 	sysctl -w lustre.fail_loc=0
-	[ $reads -eq $writes ] || error "read" $reads "blocks, must be" $writes
+	[ "$reads" -eq "$writes" ] || error "read" $reads "blocks, must be" $writes
 }
 run_test 121 "read cancel race ================================="
 
-- 
GitLab